Failed

org.eclipse.jdt.core.tests.compiler.regression.AnnotationTest.test157 - 1.8 (from org.eclipse.jdt.core.tests.compiler.regression.TestAll)

Failing for the past 4 builds (Since #6 )
Took 0.72 sec.

Error Message

test157 - Javac found warning(s) but Eclipse did not find any.
----------- Expected ------------

------------ but was ------------
X.java:7: warning: unreachable catch clause\n
  } catch(AX e) {\n
    ^\n
  thrown type BX has already been caught\n
1 warning\n

--------- Difference is ----------
 expected:<[]> but was:<[X.java:7: warning: unreachable catch clause\n
  } catch(AX e) {\n
    ^\n
  thrown type BX has already been caught\n
1 warning\n
]>

Stacktrace

junit.framework.ComparisonFailure: test157 - Javac found warning(s) but Eclipse did not find any.
----------- Expected ------------

------------ but was ------------
X.java:7: warning: unreachable catch clause\n
		} catch(AX e) {\n
		  ^\n
  thrown type BX has already been caught\n
1 warning\n

--------- Difference is ----------
 expected:<[]> but was:<[X.java:7: warning: unreachable catch clause\n
		} catch(AX e) {\n
		  ^\n
  thrown type BX has already been caught\n
1 warning\n
]>
	at org.eclipse.jdt.core.tests.junit.extension.TestCase.assertStringEquals(TestCase.java:260)
	at org.eclipse.jdt.core.tests.junit.extension.TestCase.assertEquals(TestCase.java:236)
	at org.eclipse.jdt.core.tests.compiler.regression.AbstractRegressionTest.runJavac(AbstractRegressionTest.java:2064)
	at org.eclipse.jdt.core.tests.compiler.regression.AbstractRegressionTest.runTest(AbstractRegressionTest.java:2814)
	at org.eclipse.jdt.core.tests.compiler.regression.AbstractRegressionTest.runTest(AbstractRegressionTest.java:2539)
	at org.eclipse.jdt.core.tests.compiler.regression.AbstractRegressionTest.runNegativeTest(AbstractRegressionTest.java:2220)
	at org.eclipse.jdt.core.tests.compiler.regression.AnnotationTest.test157(AnnotationTest.java:5000)

Standard Output

org.eclipse.jdt.core.tests.compiler.regression.AnnotationTest#test157 - 1.8
X.java [
public class X {
   @SuppressWarnings({"hiding"})
	public static void main(String[] args) {
		try {
			throw new BX();
		} catch(BX e) {
		} catch(AX e) {
		}
	}
} 
@SuppressWarnings({"serial"})
class AX extends Exception {}
@SuppressWarnings({"serial"})
class BX extends AX {}

]


Full results sent to /tmp/comptest/run.1514610271420/1.8.0_131_20171230_000432.txt

Standard Error

--- javac err: ---
X.java:7: warning: unreachable catch clause
		} catch(AX e) {
		  ^
  thrown type BX has already been caught
1 warning

----------------------------------------